Subject: Re: Small fixes for the Ebony device tree

From: David Gibson <[email-masked]>
Date: Wed, 16 May 2007 13:47:01 +1000

On Tue, May 15, 2007 at 03:46:26PM +1000, David Gibson wrote:
> On Tue, May 15, 2007 at 06:59:49AM +0200, Segher Boessenkool wrote:
[snip]
> > driver as well -- can't you just *fix* the kernel driver,
> > instead?
> 
> Well.. I guess, but I'd prefer to leave that to BenH, who wrote the
> driver.

On second thoughts I will alter the driver, the new version I sent out
today has the fix to only look at 'compatible'.

> > > Don't really want to change the name, since
> > > that might encourage confusion with the other (more conventional) DMA
> > > controller.
> > 
> > Nah, just look at the other properties in the node and
> > you know what is what.  It is quite common to have nodes
> > with the same name representing different devices (for
> > example, "ethernet" devices -- "dma-controller" would be
> > a bit more unusual, sure).
> > 
> > I have no strong feelings about the name, "mcmal" is
> > generic enough a name as far as I'm concerned.

I'll leave it then.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson